package cn.com.qmth.examcloud.exchange.outer.api.provider;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.commons.web.support.ControllerSupport;
import cn.com.qmth.examcloud.commons.web.support.StatusResponse;
import cn.com.qmth.examcloud.exchange.outer.api.ExamOuterService;
import cn.com.qmth.examcloud.exchange.outer.api.request.OuterSaveExamReq;
import cn.com.qmth.examcloud.exchange.outer.api.response.OuterSaveExamResp;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;

/**
 * 考试服务
 *
 * @author WANGWEI
 * @date 2018年7月2日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Api(value = "考试服务")
@RestController
@RequestMapping("${$rmp.cloud.exchange.outer}/exam")
public class ExamOuterServiceProvider extends ControllerSupport implements ExamOuterService {

	/**
	 * 属性注释
	 */
	private static final long serialVersionUID = 4007321110021402052L;

	@ApiOperation(value = "保存考试信息", httpMethod = "POST")
	@ApiResponses({@ApiResponse(code = 200, message = "成功", response = OuterSaveExamResp.class),
			@ApiResponse(code = 500, message = "系统异常(异常信息见响应体)", response = StatusResponse.class)})
	@PostMapping("saveExamStudent")
	@Override
	public OuterSaveExamResp saveExam(@RequestBody OuterSaveExamReq req) {
		return null;
	}

}
